#ifndef __HIDCARD_H__
#define __HIDCARD_H__
 
#include "acp_base.h"
/*#include "dnmreal.h"*/
#include "dnmmecid.h"
 
/* For DLL using these function */
#include "cpa_expt.h" 
 
#ifdef __cplusplus
extern "C" {
#endif
    
  /* Methods */
  
  /* Invalidate the handle */
  extern CPA_EXPORT void DNM_fn_vInvalidateIdentityCard(DNM_tdxHandleToMecIdentityCard *_p_hIdentityCard);
  
  /* Handle is valid ? */
  extern CPA_EXPORT ACP_tdxBool DNM_fn_bIsIdentityCardValid(DNM_tdxHandleToMecIdentityCard _hIdentityCard);
  
  /* Create a handle */
  extern CPA_EXPORT DNM_tdxHandleToMecIdentityCard DNM_fn_xIdentityCardCreate(DNM_tdeMechanicsID _eType);
  
  /* Destroy a handle */
  extern CPA_EXPORT void DNM_fn_vIdentityCardDestroy(DNM_tdxHandleToMecIdentityCard _hOld);
  
  /* Copy a handle */
  extern CPA_EXPORT void DNM_fn_vIdentityCardCopy(DNM_tdxHandleToMecIdentityCard _hDst,DNM_tdxHandleToMecIdentityCard _hSrc);
   
  /* Accessors */
  DNM_tdeMechanicsID DNM_fn_eIdentityCardGetType(DNM_tdxHandleToMecIdentityCard _hCurrent);
 
 
#ifdef __cplusplus
}
#endif
 
#endif
